Bug 803148 - Review Request: python-pycallgraph - A module that creates call graphs for Python programs
Review Request: python-pycallgraph - A module that creates call graphs for Py...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 803149
  Show dependency treegraph
 
Reported: 2012-03-13 23:26 EDT by Luke Macken
Modified: 2016-09-19 22:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-pycallgraph-0.5.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-03 15:56:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2012-03-13 23:26:23 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-pycallgraph.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-pycallgraph-0.5.1-1.fc16.src.rpm
Description:
Python Call Graph uses GraphViz to generate call graphs from one execution of
your Python code. It's very easy to use and can point out possible problems
with your code execution.
Comment 1 Michael Scherer 2012-03-23 10:36:00 EDT
Hi,

a few comments :
- python-devel, I think the policy ask now to tell which version it should be ( ie, 2 or 3 )
https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

- the license tag is incorrect, the source code say "gpl v2 or later", and the spec say "gpl v2" only.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

- rpmlint complain about non executable script 

python-pycallgraph.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/pycallgraph.py 0644L /usr/bin/env
I think you should just remove the shebang from the file so rpmlint no longer complain.
Comment 2 Luke Macken 2012-03-23 11:52:38 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-pycallgraph.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-pycallgraph-0.5.1-2.fc16.src.rpm

* Fri Mar 23 2012 Luke Macken <lmacken@redhat.com> - 0.5.1-2
- Require python2-devel
- Change license tag from GPLv2 to GPLv2+
- Remove shebang from script
Comment 3 Michael Scherer 2012-03-23 12:33:15 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: No licenses found! Please check the source files for licenses
     manually.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-pycallgraph-0.5.1-2.fc18.noarch.rpm

python-pycallgraph.noarch: W: no-manual-page-for-binary pycallgraph
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


rpmlint python-pycallgraph-0.5.1-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/misc/checkout/git/FedoraReview/src/803148/pycallgraph-0.5.1.tar.gz :
  MD5SUM this package     : 2f57a14f637e87aabc7301e78941026c
  MD5SUM upstream package : 2f57a14f637e87aabc7301e78941026c

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Python ====
[x]: MUST Module list python2-devel or python3-devel as BuildRequires

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-pycallgraph-0.5.1-2.fc18.noarch.rpm

python-pycallgraph.noarch: W: no-manual-page-for-binary pycallgraph
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


rpmlint python-pycallgraph-0.5.1-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.2.0git
External plugins:


Since the only errors is the lack of man-page, and that's not blocking, this package is ready to be pushed.
Comment 4 Luke Macken 2012-03-23 13:32:52 EDT
New Package SCM Request
=======================
Package Name: python-pycallgraph
Short Description: A module that creates call graphs for Python programs
Owners: lmacken
Branches: f17 f16 el6 el5
Comment 5 Gwyn Ciesla 2012-03-23 13:37:46 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-03-24 23:16:46 EDT
python-pycallgraph-0.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pycallgraph-0.5.1-2.fc17
Comment 7 Fedora Update System 2012-03-24 23:17:17 EDT
python-pycallgraph-0.5.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pycallgraph-0.5.1-2.el6
Comment 8 Fedora Update System 2012-03-24 23:17:26 EDT
python-pycallgraph-0.5.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-pycallgraph-0.5.1-2.fc16
Comment 9 Fedora Update System 2012-03-25 17:29:23 EDT
python-pycallgraph-0.5.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-03 15:56:00 EDT
python-pycallgraph-0.5.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-04-11 21:59:23 EDT
python-pycallgraph-0.5.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-04-12 01:58:04 EDT
python-pycallgraph-0.5.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.